Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/orografi.F
===================================================================
--- LMDZ.3.3/branches/LF/libf/phylmd/orografi.F	(revision 3)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/orografi.F	(revision 300)
@@ -1,5 +1,5 @@
       SUBROUTINE drag_noro (nlon,nlev,dtime,paprs,pplay,
      e                   pmea,pstd, psig, pgam, pthe,ppic,pval,
-     e                   kgwd,kgwdim,kdx,ktest,
+     e                   kgwd,kdx,ktest,
      e                   t, u, v,
      s                   pulow, pvlow, pustr, pvstr,
@@ -39,5 +39,5 @@
       REAL d_t(nlon,nlev), d_u(nlon,nlev), d_v(nlon,nlev)
 c
-      INTEGER i, k, kgwd, kgwdim, kdx(nlon), ktest(nlon)
+      INTEGER i, k, kgwd, kdx(nlon), ktest(nlon)
 c
 c Variables locales:
@@ -96,5 +96,5 @@
 c appeler la routine principale
 c
-      CALL orodrag(klon,klev,kgwd,kgwdim,kdx,ktest,
+      CALL orodrag(klon,klev,kgwd,kdx,ktest,
      .            dtime,
      .            papmh, papmf, zgeom,
@@ -119,5 +119,5 @@
       END
       SUBROUTINE orodrag( nlon,nlev 
-     i                 , kgwd, kgwdim, kdx, ktest
+     i                 , kgwd, kdx, ktest
      r                 , ptsphy
      r                 , paphm1,papm1,pgeom1,ptm1,pum1,pvm1
@@ -126,4 +126,7 @@
      r                 , pulow,pvlow
      r                 , pvom,pvol,pte )
+
+      implicit none
+
 c
 c
@@ -152,5 +155,5 @@
 c        --------------------
 c
-      implicit logical (l)
+c      implicit logical (l)
 c
 c     method.
@@ -183,4 +186,9 @@
 c
 c
+      integer nlon, nlev, klevm1
+      integer kgwd, jl, ilevp1, jk, ji
+      real zdelp, ztemp, zforc, ztend
+      real rover, zb, zc, zconb, zabsv
+      real zzd1, ratio, zbet, zust,zvst, zdis
       real  pte(nlon,nlev),
      *      pvol(nlon,nlev),
@@ -212,4 +220,5 @@
 c
       real   ztau(klon,klev+1),
+     $       ztauf(klon,klev+1),
      *       zstab(klon,klev+1),
      *       zvph(klon,klev+1),
@@ -223,9 +232,9 @@
      *       zdedt(klon),
      *       zvidis(klon),
-     *       ztfr(klon),
      *       znu(klon),
      *       zd1(klon),
      *       zd2(klon),
      *       zdmod(klon)
+      real ztmst, ptsphy, zrtmst 
 c
 c------------------------------------------------------------------
@@ -272,6 +281,6 @@
 c
       call orosetup
-     *     ( nlon, nlev , ktest 
-     *     , ikcrit, ikcrith, icrit, isect, ikhlim, ikenvh,iknu,iknu2
+     *     ( nlon, ktest 
+     *     , ikcrit, ikcrith, icrit,  ikenvh,iknu,iknu2
      *     , paphm1, papm1 , pum1   , pvm1 , ptm1 , pgeom1, pstd
      *     , zrho  , zri   , zstab  , ztau , zvph , zpsi, zzdep
@@ -292,8 +301,8 @@
       call gwstress
      *    ( nlon  , nlev
-     *    , ikcrit, isect, ikhlim, ktest, ikcrith, icrit, ikenvh, iknu
-     *    , zrho  , zstab, zvph  , pstd,  psig, pmea, ppic, pval
-     *    , ztfr   , ztau 
-     *    , pgeom1,pgamma,zd1,zd2,zdmod,znu)
+     *    , ktest , icrit, ikenvh, iknu
+     *    , zrho  , zstab, zvph  , pstd,  psig, pmea, ppic
+     *    , ztau 
+     *    , pgeom1,zdmod)
 c
 c
@@ -306,10 +315,9 @@
       call gwprofil
      *       (  nlon , nlev
-     *       , kgwd   , kdx  , ktest
-     *       , ikcrit, ikcrith, icrit  , ikenvh, iknu
-     *       ,iknu2 , paphm1, zrho   , zstab , ztfr   , zvph
-     *       , zri   , ztau   , ztauf
-c
-     *       , zdmod , znu    , psig  , pgamma , pstd , ppic , pval)
+     *       , kgwd   , kdx
+     *       , ikcrith, icrit
+     *       , paphm1, zrho   , zstab ,  zvph
+     *       , zri   , ztau   
+     *       , zdmod , psig  , pstd)
 c
 c
@@ -401,6 +409,6 @@
       end
       SUBROUTINE orosetup
-     *         ( nlon   , nlev  , ktest
-     *         , kkcrit, kkcrith, kcrit, ksect , kkhlim
+     *         ( nlon   , ktest
+     *         , kkcrit, kkcrith, kcrit
      *         , kkenvh, kknu  , kknu2
      *         , paphm1, papm1 , pum1   , pvm1 , ptm1  , pgeom1, pstd
@@ -448,5 +456,5 @@
 c
 c-----------------------------------------------------------------------
-      implicit logical (l)
+      implicit none
 c
 
@@ -461,6 +469,10 @@
 c              ---------
 c
-      integer kkcrit(nlon),kkcrith(nlon),kcrit(nlon),ksect(nlon),
-     *        kkhlim(nlon),ktest(nlon),kkenvh(nlon)
+      integer nlon
+      integer jl, jk
+      real zdelp
+
+      integer kkcrit(nlon),kkcrith(nlon),kcrit(nlon),
+     *        ktest(nlon),kkenvh(nlon)
 
 c
@@ -480,4 +492,10 @@
 c
 c
+      integer ilevm1, ilevm2, ilevh
+      real zcons1, zcons2,zcons3, zhgeo
+      real zu, zphi, zvt1,zvt2, zst, zvar, zdwind, zwind
+      real zstabm, zstabp, zrhom,  zrhop, alpha
+      real zggeenv, zggeom1,zgvar 
+      logical lo 
       logical ll1(klon,klev+1)
       integer kknu(klon),kknu2(klon),kknub(klon),kknul(klon),
@@ -486,5 +504,5 @@
       real zhcrit(klon,klev),zvpf(klon,klev),
      *     zdp(klon,klev)
-      real znorm(klon),zpsi(klon),zb(klon),zc(klon),
+      real znorm(klon),zb(klon),zc(klon),
      *      zulow(klon),zvlow(klon),znup(klon),znum(klon)
 c
@@ -862,9 +880,9 @@
       SUBROUTINE gwstress
      *         (  nlon  , nlev
-     *         , kkcrit, ksect, kkhlim, ktest, kkcrith, kcrit, kkenvh
+     *         , ktest, kcrit, kkenvh
      *         , kknu
      *         , prho  , pstab , pvph  , pstd, psig
-     *         , pmea , ppic , pval  , ptfr  , ptau  
-     *         , pgeom1 , pgamma , pd1  , pd2   , pdmod , pnu )
+     *         , pmea , ppic  , ptau  
+     *         , pgeom1 , pdmod )
 c
 c**** *gwstress*
@@ -906,5 +924,5 @@
 c
 c-----------------------------------------------------------------------
-      implicit logical (l)
+      implicit none
 #include "dimensions.h"
 #include "dimphy.h"
@@ -917,13 +935,14 @@
 c              ---------
 c
-      integer kkcrit(nlon),kkcrith(nlon),kcrit(nlon),ksect(nlon),
-     *        kkhlim(nlon),ktest(nlon),kkenvh(nlon),kknu(nlon)
+      integer nlon, nlev
+      integer kcrit(nlon),
+     *        ktest(nlon),kkenvh(nlon),kknu(nlon)
 c
       real prho(nlon,nlev+1),pstab(nlon,nlev+1),ptau(nlon,nlev+1),
-     *     pvph(nlon,nlev+1),ptfr(nlon),
+     *     pvph(nlon,nlev+1),
      *     pgeom1(nlon,nlev),pstd(nlon)
 c
-      real pd1(nlon),pd2(nlon),pnu(nlon),psig(nlon),pgamma(nlon)
-      real pmea(nlon),ppic(nlon),pval(nlon)
+      real psig(nlon)
+      real pmea(nlon),ppic(nlon)
       real pdmod(nlon)
 c
@@ -932,4 +951,7 @@
 c*       0.2   local arrays
 c              ------------
+      integer jl
+      real zblock, zvar, zeff
+      logical lo
 c
 c-----------------------------------------------------------------------
@@ -985,8 +1007,8 @@
       SUBROUTINE GWPROFIL
      *         ( NLON, NLEV
-     *         , kgwd ,kdx  , ktest
-     *         , KKCRIT, KKCRITH, KCRIT ,  kkenvh, kknu,kknu2
-     *         , PAPHM1, PRHO   , PSTAB , PTFR , PVPH , PRI , PTAU
-     *         , ptauf ,pdmod   , pnu   , psig ,pgamma, pvar, ppic,pval)
+     *         , kgwd, kdx
+     *         , KKCRITH, KCRIT
+     *         , PAPHM1, PRHO   , PSTAB  , PVPH , PRI , PTAU
+     *         , pdmod   , psig , pvar)
 
 C**** *GWPROFIL*
@@ -1036,5 +1058,5 @@
 C     PASSAGE OF THE NEW GWDRAG TO I.F.S. (F. LOTT, 22/11/93)
 C-----------------------------------------------------------------------
-      IMPLICIT LOGICAL (L)
+      implicit none
 C
 
@@ -1051,15 +1073,14 @@
 C              ---------
 C
-      INTEGER KKCRIT(NLON),KKCRITH(NLON),KCRIT(NLON)
-     *       ,kdx(nlon),ktest(NLON)
-     *       ,kkenvh(NLON),kknu(NLON),kknu2(NLON)
+      integer nlon,nlev
+      INTEGER KKCRITH(NLON),KCRIT(NLON)
+     *       ,kdx(nlon)
 C
       REAL PAPHM1(NLON,NLEV+1), PSTAB(NLON,NLEV+1),
      *     PRHO  (NLON,NLEV+1), PVPH (NLON,NLEV+1),
-     *     PRI   (NLON,NLEV+1), PTFR (NLON), PTAU(NLON,NLEV+1),
-     *     ptauf (NLON,nlev+1)
+     *     PRI   (NLON,NLEV+1), PTAU(NLON,NLEV+1)
      
-      REAL pdmod (NLON) , pnu (NLON) , psig(NLON),
-     *     pgamma(NLON) , pvar(NLON) , ppic(NLON), pval(NLON)
+      REAL pdmod (NLON) , psig(NLON),
+     *     pvar(NLON)
      
 C-----------------------------------------------------------------------
@@ -1068,4 +1089,7 @@
 C              ------------
 C
+      integer ilevh, ji, kgwd, jl, jk
+      real zsqr, zalfa, zriw, zdel, zb, zalpha,zdz2n
+      real zdelp, zdelpt 
       REAL ZDZ2 (KLON,KLEV) , ZNORM(KLON) , zoro(KLON)
       REAL ZTAU (KLON,KLEV+1)
@@ -1221,6 +1245,6 @@
       END
       SUBROUTINE lift_noro (nlon,nlev,dtime,paprs,pplay,      
-     e                   plat,pmea,pstd, psig, pgam, pthe, ppic,pval,
-     e                   kgwd,kgwdim,kdx,ktest,
+     e                   plat,pmea,pstd, ppic,
+     e                   ktest,
      e                   t, u, v,
      s                   pulow, pvlow, pustr, pvstr,
@@ -1255,11 +1279,11 @@
       REAL pplay(klon,klev)
       REAL plat(nlon),pmea(nlon)
-      REAL pstd(nlon),psig(nlon),pgam(nlon),pthe(nlon)
-      REAL ppic(nlon),pval(nlon)
+      REAL pstd(nlon)
+      REAL ppic(nlon)
       REAL pulow(nlon),pvlow(nlon),pustr(nlon),pvstr(nlon)
       REAL t(nlon,nlev), u(nlon,nlev), v(nlon,nlev)
       REAL d_t(nlon,nlev), d_u(nlon,nlev), d_v(nlon,nlev)
 c
-      INTEGER i, k, kgwd, kgwdim, kdx(nlon), ktest(nlon)
+      INTEGER i, k, ktest(nlon)
 c
 c Variables locales:
@@ -1318,9 +1342,9 @@
 c appeler la routine principale
 c
-      CALL OROLIFT(klon,klev,kgwd,kgwdim,kdx,ktest,
+      CALL OROLIFT(klon,klev,ktest,
      .            dtime,
-     .            papmh, papmf, zgeom,
+     .            papmh, zgeom,
      .            pt, pu, pv,
-     .            plat,pmea, pstd, psig, pgam, pthe, ppic,pval,
+     .            plat,pmea, pstd, ppic,
      .            pulow,pvlow,
      .            pdudt,pdvdt,pdtdt)
@@ -1341,9 +1365,9 @@
       END
       SUBROUTINE OROLIFT( NLON,NLEV
-     I                 , KGWD, KGWDIM, KDX, KTEST
+     I                 , KTEST
      R                 , PTSPHY
-     R                 , PAPHM1,PAPM1,PGEOM1,PTM1,PUM1,PVM1
+     R                 , PAPHM1,PGEOM1,PTM1,PUM1,PVM1
      R                 , PLAT
-     R                 , PMEA, PVAROR, PSIG, PGAMMA, PTHETA,ppic,pval
+     R                 , PMEA, PVAROR, ppic
 C OUTPUTS
      R                 , PULOW,PVLOW
@@ -1365,5 +1389,5 @@
 C     F.LOTT  LMD 22/11/95
 C
-      IMPLICIT LOGICAL (L)
+      implicit none
 C
 C
@@ -1378,4 +1402,5 @@
 C
 C
+      integer nlon, nlev
       REAL  PTE(NLON,NLEV),
      *      PVOL(NLON,NLEV),
@@ -1387,43 +1412,29 @@
      *      PTM1(NLON,NLEV),
      *      PLAT(NLON),PMEA(NLON),
-     *      PVAROR(NLON),PSIG(NLON),PGAMMA(NLON),
-     *      PTHETA(NLON),ppic(NLON),pval(NLON),
+     *      PVAROR(NLON),
+     *      ppic(NLON),
      *      PGEOM1(NLON,NLEV),
-     *      PAPM1(NLON,NLEV),
      *      PAPHM1(NLON,NLEV+1)
 C
-      INTEGER  KDX(NLON),KTEST(NLON)
+      INTEGER  KTEST(NLON)
+      real ptsphy
 C-----------------------------------------------------------------------
 C
 C*       0.2   LOCAL ARRAYS
 C              ------------
-      INTEGER  ISECT(KLON),
-     *         ICRIT(KLON),
-     *         IKCRITH(KLON),
-     *         IKenvh(klon),
+      logical lifthigh, ll1
+      integer klevm1, jl, ilevh, jk
+      real zcons1, ztmst, zrtmst,zpi, zhgeo
+      real zdelp, zslow, zsqua, zscav, zbet
+      INTEGER  
      *         IKNUB(klon),
-     *         IKNUL(klon),
-     *         IKCRIT(KLON),
-     *         IKHLIM(KLON)
+     *         IKNUL(klon)
       LOGICAL LL1(KLON,KLEV+1)
 C
       REAL   ZTAU(KLON,KLEV+1),
      *       ZTAV(KLON,KLEV+1),
-     *       ZSTAB(KLON,KLEV+1),
-     *       ZVPH(KLON,KLEV+1),
-     *       ZRHO(KLON,KLEV+1),
-     *       ZRI(KLON,KLEV+1),
-     *       ZpsI(KLON,KLEV+1),
-     *       Zzdep(KLON,KLEV)
+     *       ZRHO(KLON,KLEV+1)
       REAL   ZDUDT(KLON),
-     *       ZDVDT(KLON),
-     *       ZDTDT(KLON),
-     *       ZDEDT(KLON),
-     *       ZVIDIS(KLON),
-     *       ZTFR(KLON),
-     *       Znu(KLON),
-     *       Zd1(KLON),
-     *       Zd2(KLON),
-     *       Zdmod(KLON)
+     *       ZDVDT(KLON)
       REAL ZHCRIT(KLON,KLEV)
 C-----------------------------------------------------------------------
@@ -1680,5 +1691,5 @@
 C        ORIGINAL : 90-01-01
 C     ------------------------------------------------------------------
-      IMPLICIT LOGICAL(L)
+      implicit none
 C
 C     -----------------------------------------------------------------
@@ -1686,7 +1697,8 @@
 C      ----------------------------------------------------------------
 C
-      integer nlon,nlev
+      integer nlon,nlev, jk
       REAL paprs(nlon,nlev+1)
       REAL pplay(nlon,nlev)
+      real zpr,zstra,zsigt,zpm1r
 C
 C*       1.    SET THE VALUES OF THE PARAMETERS
@@ -1724,5 +1736,5 @@
 C
       GKDRAG=0.2 
-      GRAHILO=1    
+      GRAHILO=1.    
       GRCRIT=0.01
       GFRCRIT=1.0
Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/param_cou.h
===================================================================
--- LMDZ.3.3/tags/CCM1_0/libf/phylmd/param_cou.h	(revision 300)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/param_cou.h	(revision 300)
@@ -0,0 +1,18 @@
+! $Id$
+!
+! -- param_cou.h
+!
+	INTEGER jpmaxfld
+	PARAMETER(jpmaxfld = 40)        ! Maximum number of fields exchanged
+                                        ! between ocean and atmosphere
+	INTEGER jpflda2o1
+	PARAMETER(jpflda2o1 = 11)         ! Number of fields exchanged from
+                                         ! atmosphere to ocean via flx.F
+	INTEGER jpflda2o2
+	PARAMETER(jpflda2o2 = 6)         ! Number of fields exchanged from
+                                         ! atmosphere to ocean via tau.F
+!
+	INTEGER jpfldo2a
+	PARAMETER(jpfldo2a = 4)          ! Number of fields exchanged from
+                                         ! ocean to atmosphere
+!
Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/param_sipc.h
===================================================================
--- LMDZ.3.3/tags/CCM1_0/libf/phylmd/param_sipc.h	(revision 300)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/param_sipc.h	(revision 300)
@@ -0,0 +1,21 @@
+C@
+C@ -- param_sipc.h
+C@
+C@ -- jpbyteint : number of bytes per integer
+C@
+C@ -- jpbyterea : number of bytes per real
+C@
+C@ -- jpbytecha : number of bytes per character
+C@
+	INTEGER jpbyteint,jpbyterea, jpbytecha  
+        PARAMETER (jpbyteint = 4)
+	PARAMETER (jpbyterea = 8)
+	PARAMETER (jpbytecha = 1)
+C@
+C@ -- jptest :  The models will test during 2*jptest seconds if the file 
+C@              DUMMY_SIPC has been created by OASIS, signaling that the
+C@              SHM pools are opened. After, they will abort.
+C@
+        INTEGER jptest
+        PARAMETER(jptest = 100)      
+
Index: LMDZ.3.3/tags/CCM1_0/libf/phylmd/phyetat0.F
===================================================================
--- LMDZ.3.3/branches/LF/libf/phylmd/phyetat0.F	(revision 3)
+++ LMDZ.3.3/tags/CCM1_0/libf/phylmd/phyetat0.F	(revision 300)
@@ -1,6 +1,8 @@
       SUBROUTINE phyetat0 (fichnom,dtime,co2_ppm,solaire,
-     .            rlat,rlon,tsol,tsoil,deltat,qsol,snow,
-     .           radsol,rugmer,agesno,clesphy0,
-     .           zmea,zstd,zsig,zgam,zthe,zpic,zval,rugsrel,tabcntr0)
+     .            rlat,rlon, pctsrf, tsol,tsoil,deltat,qsol,snow,
+     .           albe, evap, rain_fall, snow_fall, solsw, sollw,
+     .           fder,radsol,frugs,agesno,clesphy0,
+     .           zmea,zstd,zsig,zgam,zthe,zpic,zval,rugsrel,tabcntr0,
+     .           t_ancien,q_ancien,ancien_ok)
       IMPLICIT none
 c======================================================================
@@ -26,6 +28,13 @@
       REAL qsol(klon,nbsrf)
       REAL snow(klon,nbsrf)
+      REAL albe(klon,nbsrf)
+      REAL evap(klon,nbsrf)
       REAL radsol(klon)
-      REAL rugmer(klon)
+      REAL rain_fall(klon)
+      REAL snow_fall(klon)
+      REAL sollw(klon)
+      real solsw(klon)
+      real fder(klon)
+      REAL frugs(klon,nbsrf)
       REAL agesno(klon)
       REAL zmea(klon)
@@ -37,4 +46,9 @@
       REAL zval(klon)
       REAL rugsrel(klon)
+      REAL pctsrf(klon, nbsrf)
+      REAL fractint(klon)
+
+      REAL t_ancien(klon,klev), q_ancien(klon,klev)
+      LOGICAL ancien_ok
 
       INTEGER        longcles
@@ -54,4 +68,5 @@
 c Ouvrir le fichier contenant l'etat initial:
 c
+      print*,'fichnom',fichnom
       ierr = NF_OPEN (fichnom, NF_NOWRITE,nid)
       IF (ierr.NE.NF_NOERR) THEN
@@ -180,5 +195,123 @@
          CALL abort
       ENDIF
-c
+C
+C
+C Lecture du masque terre mer
+C
+      ierr = NF_INQ_VARID (nid, "masque", nvarid)
+      IF (ierr .EQ.  NF_NOERR) THEN
+#ifdef NC_DOUBLE
+          ierr = NF_GET_VAR_DOUBLE(nid, nvarid, zmasq)
+#else
+          ierr = NF_GET_VAR_REAL(nid, nvarid, zmasq)
+#endif
+          IF (ierr.NE.NF_NOERR) THEN
+              PRINT*, 'phyetat0: Lecture echouee pour <masque>'
+              CALL abort
+          ENDIF
+      else
+          PRINT*, 'phyetat0: Le champ <masque> est absent'
+          PRINT*, 'fichier startphy non compatible avec phyetat0'
+C      CALL abort
+      ENDIF
+C Lecture des fractions pour chaque sous-surface
+C
+C initialisation des sous-surfaces
+C
+      pctsrf = 0.
+C
+C fraction de terre
+C
+      ierr = NF_INQ_VARID (nid, "FTER", nvarid)
+      IF (ierr .EQ.  NF_NOERR) THEN
+#ifdef NC_DOUBLE
+          ierr = NF_GET_VAR_DOUBLE(nid, nvarid, pctsrf(1 : klon,is_ter))
+#else
+          ierr = NF_GET_VAR_REAL(nid, nvarid, pctsrf(1 : klon,is_ter))
+#endif
+          IF (ierr.NE.NF_NOERR) THEN
+              PRINT*, 'phyetat0: Lecture echouee pour <FTER>'
+              CALL abort
+          ENDIF
+      else
+          PRINT*, 'phyetat0: Le champ <FTER> est absent'
+c$$$         CALL abort
+      ENDIF
+C
+C fraction de glace de terre
+C
+      ierr = NF_INQ_VARID (nid, "FLIC", nvarid)
+      IF (ierr .EQ.  NF_NOERR) THEN
+#ifdef NC_DOUBLE
+          ierr = NF_GET_VAR_DOUBLE(nid, nvarid, pctsrf(1 : klon,is_lic))
+#else
+          ierr = NF_GET_VAR_REAL(nid, nvarid, pctsrf(1 : klon,is_lic))
+#endif
+          IF (ierr.NE.NF_NOERR) THEN
+              PRINT*, 'phyetat0: Lecture echouee pour <FLIC>'
+              CALL abort
+          ENDIF
+      else
+          PRINT*, 'phyetat0: Le champ <FLIC> est absent'
+c$$$         CALL abort
+      ENDIF
+C
+C fraction d'ocean
+C
+      ierr = NF_INQ_VARID (nid, "FOCE", nvarid)
+      IF (ierr .EQ.  NF_NOERR) THEN
+#ifdef NC_DOUBLE
+          ierr = NF_GET_VAR_DOUBLE(nid, nvarid, pctsrf(1 : klon,is_oce))
+#else
+          ierr = NF_GET_VAR_REAL(nid, nvarid, pctsrf(1 : klon,is_oce))
+#endif
+          IF (ierr.NE.NF_NOERR) THEN
+              PRINT*, 'phyetat0: Lecture echouee pour <FOCE>'
+              CALL abort
+          ENDIF
+      else
+          PRINT*, 'phyetat0: Le champ <FOCE> est absent'
+c$$$         CALL abort
+      ENDIF
+C
+C fraction glace de mer
+C
+      ierr = NF_INQ_VARID (nid, "FSIC", nvarid)
+      IF (ierr .EQ.  NF_NOERR) THEN
+#ifdef NC_DOUBLE
+          ierr = NF_GET_VAR_DOUBLE(nid, nvarid, pctsrf(1 : klon,is_sic))
+#else
+          ierr = NF_GET_VAR_REAL(nid, nvarid, pctsrf(1 : klon, is_sic))
+#endif
+          IF (ierr.NE.NF_NOERR) THEN
+              PRINT*, 'phyetat0: Lecture echouee pour <FSIC>'
+              CALL abort
+          ENDIF
+      else
+          PRINT*, 'phyetat0: Le champ <FSIC> est absent'
+c$$$         CALL abort
+      ENDIF
+C
+C  Verification de l'adequation entre le masque et les sous-surfaces
+C
+      fractint( 1 : klon) = pctsrf(1 : klon, is_ter) 
+     $    + pctsrf(1 : klon, is_lic)
+      DO i = 1 , klon
+        IF ( abs(fractint(i) - zmasq(i) ) .GT. EPSFRA ) THEN
+            WRITE(*,*) 'phyetat0: attention fraction terre pas ', 
+     $          'coherente ', i, zmasq(i), pctsrf(i, is_ter)
+     $          ,pctsrf(i, is_lic)
+        ENDIF 
+      END DO 
+      fractint (1 : klon) =  pctsrf(1 : klon, is_oce) 
+     $    + pctsrf(1 : klon, is_sic)
+      DO i = 1 , klon
+        IF ( abs( fractint(i) - (1. - zmasq(i))) .GT. EPSFRA ) THEN
+            WRITE(*,*) 'phyetat0 attention fraction ocean pas ', 
+     $          'coherente ', i, zmasq(i) , pctsrf(i, is_oce)
+     $          ,pctsrf(i, is_sic)
+        ENDIF 
+      END DO 
+C
 c Lecture des temperatures du sol:
 c
@@ -415,4 +548,253 @@
       ENDIF
 c
+c Lecture de albedo au sol:
+c
+      ierr = NF_INQ_VARID (nid, "ALBE", nvarid)
+      IF (ierr.NE.NF_NOERR) THEN
+         PRINT*, 'phyetat0: Le champ <ALBE> est absent'
+         PRINT*, '          Mais je vais essayer de lire ALBE**'
+         DO nsrf = 1, nbsrf
+           IF (nsrf.GT.99) THEN
+             PRINT*, "Trop de sous-mailles"
+             CALL abort
+           ENDIF
+           WRITE(str2,'(i2.2)') nsrf
+           ierr = NF_INQ_VARID (nid, "ALBE"//str2, nvarid)
+           IF (ierr.NE.NF_NOERR) THEN
+              PRINT*, "phyetat0: Le champ <ALBE"//str2//"> est absent"
+              CALL abort
+           ENDIF
+#ifdef NC_DOUBLE
+           ierr = NF_GET_VAR_DOUBLE(nid, nvarid, albe(1,nsrf))
+#else
+           ierr = NF_GET_VAR_REAL(nid, nvarid, albe(1,nsrf))
+#endif
+           IF (ierr.NE.NF_NOERR) THEN
+             PRINT*, "phyetat0: Lecture echouee pour <ALBE"//str2//">"
+             CALL abort
+           ENDIF
+           xmin = 1.0E+20
+           xmax = -1.0E+20
+           DO i = 1, klon
+              xmin = MIN(albe(i,nsrf),xmin)
+              xmax = MAX(albe(i,nsrf),xmax)
+           ENDDO
+           PRINT*,'Albedo du sol ALBE**:', nsrf, xmin, xmax
+         ENDDO
+      ELSE
+         PRINT*, 'phyetat0: Le champ <ALBE> est present'
+         PRINT*, '          J ignore donc les autres ALBE**'
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid, nvarid, albe(1,1))
+#else
+         ierr = NF_GET_VAR_REAL(nid, nvarid, albe(1,1))
+#endif
+         IF (ierr.NE.NF_NOERR) THEN
+            PRINT*, "phyetat0: Lecture echouee pour <ALBE>"
+            CALL abort
+         ENDIF
+         xmin = 1.0E+20
+         xmax = -1.0E+20
+         DO i = 1, klon
+            xmin = MIN(albe(i,1),xmin)
+            xmax = MAX(albe(i,1),xmax)
+         ENDDO
+         PRINT*,'Neige du sol <ALBE>', xmin, xmax
+         DO nsrf = 2, nbsrf
+         DO i = 1, klon
+            albe(i,nsrf) = albe(i,1)
+         ENDDO
+         ENDDO
+      ENDIF
+
+c
+c Lecture de evaporation:  
+c
+      ierr = NF_INQ_VARID (nid, "EVAP", nvarid)
+      IF (ierr.NE.NF_NOERR) THEN
+         PRINT*, 'phyetat0: Le champ <EVAP> est absent'
+         PRINT*, '          Mais je vais essayer de lire EVAP**'
+         DO nsrf = 1, nbsrf
+           IF (nsrf.GT.99) THEN
+             PRINT*, "Trop de sous-mailles"
+             CALL abort
+           ENDIF
+           WRITE(str2,'(i2.2)') nsrf
+           ierr = NF_INQ_VARID (nid, "EVAP"//str2, nvarid)
+           IF (ierr.NE.NF_NOERR) THEN
+              PRINT*, "phyetat0: Le champ <EVAP"//str2//"> est absent"
+              CALL abort
+           ENDIF
+#ifdef NC_DOUBLE
+           ierr = NF_GET_VAR_DOUBLE(nid, nvarid, evap(1,nsrf))
+#else
+           ierr = NF_GET_VAR_REAL(nid, nvarid, evap(1,nsrf))
+#endif
+           IF (ierr.NE.NF_NOERR) THEN
+             PRINT*, "phyetat0: Lecture echouee pour <EVAP"//str2//">"
+             CALL abort
+           ENDIF
+           xmin = 1.0E+20
+           xmax = -1.0E+20
+           DO i = 1, klon
+              xmin = MIN(evap(i,nsrf),xmin)
+              xmax = MAX(evap(i,nsrf),xmax)
+           ENDDO
+           PRINT*,'evap du sol EVAP**:', nsrf, xmin, xmax
+         ENDDO
+      ELSE
+         PRINT*, 'phyetat0: Le champ <EVAP> est present'
+         PRINT*, '          J ignore donc les autres EVAP**'
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid, nvarid, evap(1,1))
+#else
+         ierr = NF_GET_VAR_REAL(nid, nvarid, evap(1,1))
+#endif
+         IF (ierr.NE.NF_NOERR) THEN
+            PRINT*, "phyetat0: Lecture echouee pour <EVAP>"
+            CALL abort
+         ENDIF
+         xmin = 1.0E+20
+         xmax = -1.0E+20
+         DO i = 1, klon
+            xmin = MIN(evap(i,1),xmin)
+            xmax = MAX(evap(i,1),xmax)
+         ENDDO
+         PRINT*,'Evap du sol <EVAP>', xmin, xmax
+         DO nsrf = 2, nbsrf
+         DO i = 1, klon
+            evap(i,nsrf) = evap(i,1)
+         ENDDO
+         ENDDO
+      ENDIF
+c
+c Lecture precipitation liquide:
+c
+      ierr = NF_INQ_VARID (nid, "rain_f", nvarid)
+      IF (ierr.NE.NF_NOERR) THEN
+         PRINT*, 'phyetat0: Le champ <rain_f> est absent'
+         CALL abort
+      ENDIF
+#ifdef NC_DOUBLE
+      ierr = NF_GET_VAR_DOUBLE(nid, nvarid, rain_fall)
+#else
+      ierr = NF_GET_VAR_REAL(nid, nvarid, rain_fall)
+#endif
+      IF (ierr.NE.NF_NOERR) THEN
+         PRINT*, 'phyetat0: Lecture echouee pour <rain_f>'
+         CALL abort
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(rain_fall(i),xmin)
+         xmax = MAX(rain_fall(i),xmax)
+      ENDDO
+      PRINT*,'Precipitation liquide rain_f:', xmin, xmax
+c
+c Lecture precipitation solide:
+c
+      ierr = NF_INQ_VARID (nid, "snow_f", nvarid)
+      IF (ierr.NE.NF_NOERR) THEN
+         PRINT*, 'phyetat0: Le champ <snow_f> est absent'
+         CALL abort
+      ENDIF
+#ifdef NC_DOUBLE
+      ierr = NF_GET_VAR_DOUBLE(nid, nvarid, snow_fall)
+#else
+      ierr = NF_GET_VAR_REAL(nid, nvarid, snow_fall)
+#endif
+      IF (ierr.NE.NF_NOERR) THEN
+         PRINT*, 'phyetat0: Lecture echouee pour <snow_f>'
+         CALL abort
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(snow_fall(i),xmin)
+         xmax = MAX(snow_fall(i),xmax)
+      ENDDO
+      PRINT*,'Precipitation solide snow_f:', xmin, xmax
+c
+c Lecture rayonnement solaire au sol:
+c
+      ierr = NF_INQ_VARID (nid, "solsw", nvarid)
+      IF (ierr.NE.NF_NOERR) THEN
+         PRINT*, 'phyetat0: Le champ <solsw> est absent'
+         PRINT*, 'mis a zero'
+         solsw = 0.
+      ELSE
+#ifdef NC_DOUBLE
+        ierr = NF_GET_VAR_DOUBLE(nid, nvarid, solsw)
+#else
+        ierr = NF_GET_VAR_REAL(nid, nvarid, solsw)
+#endif
+        IF (ierr.NE.NF_NOERR) THEN
+          PRINT*, 'phyetat0: Lecture echouee pour <solsw>'
+          CALL abort
+        ENDIF
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(solsw(i),xmin)
+         xmax = MAX(solsw(i),xmax)
+      ENDDO
+      PRINT*,'Rayonnement solaire au sol solsw:', xmin, xmax
+c
+c Lecture rayonnement IF au sol:
+c
+      ierr = NF_INQ_VARID (nid, "sollw", nvarid)
+      IF (ierr.NE.NF_NOERR) THEN
+         PRINT*, 'phyetat0: Le champ <sollw> est absent'
+         PRINT*, 'mis a zero'
+         sollw = 0.
+      ELSE
+#ifdef NC_DOUBLE
+        ierr = NF_GET_VAR_DOUBLE(nid, nvarid, sollw)
+#else
+        ierr = NF_GET_VAR_REAL(nid, nvarid, sollw)
+#endif
+        IF (ierr.NE.NF_NOERR) THEN
+          PRINT*, 'phyetat0: Lecture echouee pour <sollw>'
+          CALL abort
+        ENDIF
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(sollw(i),xmin)
+         xmax = MAX(sollw(i),xmax)
+      ENDDO
+      PRINT*,'Rayonnement IF au sol sollw:', xmin, xmax
+
+c
+c Lecture derive des flux:
+c
+      ierr = NF_INQ_VARID (nid, "fder", nvarid)
+      IF (ierr.NE.NF_NOERR) THEN
+         PRINT*, 'phyetat0: Le champ <fder> est absent'
+         PRINT*, 'mis a zero'
+         fder = 0.
+      ELSE
+#ifdef NC_DOUBLE
+        ierr = NF_GET_VAR_DOUBLE(nid, nvarid, fder)
+#else
+        ierr = NF_GET_VAR_REAL(nid, nvarid, fder)
+#endif
+        IF (ierr.NE.NF_NOERR) THEN
+          PRINT*, 'phyetat0: Lecture echouee pour <fder>'
+          CALL abort
+        ENDIF
+      ENDIF
+      xmin = 1.0E+20
+      xmax = -1.0E+20
+      DO i = 1, klon
+         xmin = MIN(fder(i),xmin)
+         xmax = MAX(fder(i),xmax)
+      ENDDO
+      PRINT*,'Derive des flux fder:', xmin, xmax
+
+c
 c Lecture du rayonnement net au sol:
 c
@@ -439,27 +821,65 @@
       PRINT*,'Rayonnement net au sol radsol:', xmin, xmax
 c
-c Lecture de la longueur de rugosite en mer:
-c
-      ierr = NF_INQ_VARID (nid, "RUGMER", nvarid)
-      IF (ierr.NE.NF_NOERR) THEN
-         PRINT*, 'phyetat0: Le champ <RUGMER> est absent'
-         CALL abort
-      ENDIF
-#ifdef NC_DOUBLE
-      ierr = NF_GET_VAR_DOUBLE(nid, nvarid, rugmer)
-#else
-      ierr = NF_GET_VAR_REAL(nid, nvarid, rugmer)
-#endif
-      IF (ierr.NE.NF_NOERR) THEN
-         PRINT*, 'phyetat0: Lecture echouee pour <RUGMER>'
-         CALL abort
-      ENDIF
-      xmin = 1.0E+20
-      xmax = -1.0E+20
-      DO i = 1, klon
-         xmin = MIN(rugmer(i),xmin)
-         xmax = MAX(rugmer(i),xmax)
-      ENDDO
-      PRINT*,'Rugosite sur la mer rugmer:', xmin, xmax
+c Lecture de la longueur de rugosite 
+c
+c
+      ierr = NF_INQ_VARID (nid, "RUG", nvarid)
+      IF (ierr.NE.NF_NOERR) THEN
+         PRINT*, 'phyetat0: Le champ <RUG> est absent'
+         PRINT*, '          Mais je vais essayer de lire RUG**'
+         DO nsrf = 1, nbsrf
+           IF (nsrf.GT.99) THEN
+             PRINT*, "Trop de sous-mailles"
+             CALL abort
+           ENDIF
+           WRITE(str2,'(i2.2)') nsrf
+           ierr = NF_INQ_VARID (nid, "RUG"//str2, nvarid)
+           IF (ierr.NE.NF_NOERR) THEN
+              PRINT*, "phyetat0: Le champ <RUG"//str2//"> est absent"
+              CALL abort
+           ENDIF
+#ifdef NC_DOUBLE
+           ierr = NF_GET_VAR_DOUBLE(nid, nvarid, frugs(1,nsrf))
+#else
+           ierr = NF_GET_VAR_REAL(nid, nvarid, frugs(1,nsrf))
+#endif
+           IF (ierr.NE.NF_NOERR) THEN
+             PRINT*, "phyetat0: Lecture echouee pour <RUG"//str2//">"
+             CALL abort
+           ENDIF
+           xmin = 1.0E+20
+           xmax = -1.0E+20
+           DO i = 1, klon
+              xmin = MIN(frugs(i,nsrf),xmin)
+              xmax = MAX(frugs(i,nsrf),xmax)
+           ENDDO
+           PRINT*,'rugosite du sol RUG**:', nsrf, xmin, xmax
+         ENDDO
+      ELSE
+         PRINT*, 'phyetat0: Le champ <RUG> est present'
+         PRINT*, '          J ignore donc les autres RUG**'
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid, nvarid, frugs(1,1))
+#else
+         ierr = NF_GET_VAR_REAL(nid, nvarid, frugs(1,1))
+#endif
+         IF (ierr.NE.NF_NOERR) THEN
+            PRINT*, "phyetat0: Lecture echouee pour <RUG>"
+            CALL abort
+         ENDIF
+         xmin = 1.0E+20
+         xmax = -1.0E+20
+         DO i = 1, klon
+            xmin = MIN(frugs(i,1),xmin)
+            xmax = MAX(frugs(i,1),xmax)
+         ENDDO
+         PRINT*,'Neige du sol <RUG>', xmin, xmax
+         DO nsrf = 2, nbsrf
+         DO i = 1, klon
+            frugs(i,nsrf) = frugs(i,1)
+         ENDDO
+         ENDDO
+      ENDIF
+
 c
 c Lecture de l'age de la neige:
@@ -674,4 +1094,41 @@
       PRINT*,'Rugosite relief (ecart-type) rugsrel:', xmin, xmax
 c
+c
+      ancien_ok = .TRUE.
+c
+      ierr = NF_INQ_VARID (nid, "TANCIEN", nvarid)
+      IF (ierr.NE.NF_NOERR) THEN
+         PRINT*, "phyetat0: Le champ <TANCIEN> est absent"
+         PRINT*, "Depart legerement fausse. Mais je continue"
+         ancien_ok = .FALSE.
+      ELSE
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid, nvarid, t_ancien)
+#else
+         ierr = NF_GET_VAR_REAL(nid, nvarid, t_ancien)
+#endif
+         IF (ierr.NE.NF_NOERR) THEN
+            PRINT*, "phyetat0: Lecture echouee pour <TANCIEN>"
+            CALL abort
+         ENDIF
+      ENDIF
+c
+      ierr = NF_INQ_VARID (nid, "QANCIEN", nvarid)
+      IF (ierr.NE.NF_NOERR) THEN
+         PRINT*, "phyetat0: Le champ <QANCIEN> est absent"
+         PRINT*, "Depart legerement fausse. Mais je continue"
+         ancien_ok = .FALSE.
+      ELSE
+#ifdef NC_DOUBLE
+         ierr = NF_GET_VAR_DOUBLE(nid, nvarid, q_ancien)
+#else
+         ierr = NF_GET_VAR_REAL(nid, nvarid, q_ancien)
+#endif
+         IF (ierr.NE.NF_NOERR) THEN
+            PRINT*, "phyetat0: Lecture echouee pour <QANCIEN>"
+            CALL abort
+         ENDIF
+      ENDIF
+c
 c Fermer le fichier:
 c
